Upgrading to Disco - Error with linux-image-5.0.0-1013-raspi2 (5.0.0-1013.13)

Post Reply
markephillips
Posts: 35
Joined: Fri Oct 26, 2018 11:39 am
languages_spoken: english
ODROIDs: xu4
Has thanked: 0
Been thanked: 0
Contact:

Upgrading to Disco - Error with linux-image-5.0.0-1013-raspi2 (5.0.0-1013.13)

Unread post by markephillips » Wed Jul 31, 2019 7:49 am

Hi,

Just curious of anyone upgraded their system to Ubuntu Disco and experienced the following? I personally don't care about upgrading but I'd like this error to go away and to pin the OS.

Code: Select all

Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following packages have been kept back:
  qt5-style-plugins
0 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.
1 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Do you want to continue? [Y/n] y
Setting up linux-image-5.0.0-1013-raspi2 (5.0.0-1013.13) ...
Processing triggers for linux-image-5.0.0-1013-raspi2 (5.0.0-1013.13) ...
/etc/kernel/postinst.d/initramfs-tools:
update-initramfs: Generating /boot/initrd.img-5.0.0-1013-raspi2
Using DTB: exynos5422-odroidxu4.dtb
Couldn't find DTB exynos5422-odroidxu4.dtb on the following paths: /etc/flash-kernel/dtbs /usr/lib/linux-image-5.0.0-1013-raspi2 /lib/firmware/5.0.0-1013-raspi2/device-tree/
Installing  into /boot/dtbs/5.0.0-1013-raspi2/exynos5422-odroidxu4.dtb
cp: cannot stat '': No such file or directory
run-parts: /etc/initramfs/post-update.d//flash-kernel exited with return code 1
run-parts: /etc/kernel/postinst.d/initramfs-tools exited with return code 1
dpkg: error processing package linux-image-5.0.0-1013-raspi2 (--configure):
 installed linux-image-5.0.0-1013-raspi2 package post-installation script subprocess returned error exit status 1
Errors were encountered while processing:
 linux-image-5.0.0-1013-raspi2
E: Sub-process /usr/bin/dpkg returned an error code (1)
Thanks!

joshua.yang
Posts: 240
Joined: Fri Sep 22, 2017 5:54 pm
languages_spoken: Korean, English
ODROIDs: XU4, XU4Q + Cloudshell2, H2
Has thanked: 2 times
Been thanked: 21 times
Contact:

Re: Upgrading to Disco - Error with linux-image-5.0.0-1013-raspi2 (5.0.0-1013.13)

Unread post by joshua.yang » Wed Jul 31, 2019 9:59 am

That image seems for Raspberry Pi 2 as that name suggests.

If you want to install 5.0 kernel to your board (XU4?),
Then how about trying out this?: viewtopic.php?t=33510

Post Reply

Return to “Ubuntu”

Who is online

Users browsing this forum: No registered users and 2 guests